<?php

namespace app\admin\model\books;

use think\Model;


class Certificate extends Model
{

    

    

    // 表名
    protected $name = 'certificate';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'status_text',
        'is_expire_text'
    ];
    

    
    public function getStatusList()
    {
        return ['0' => __('Status 0'), '1' => __('Status 1')];
    }

    public function getIsExpireList()
    {
        return ['0' => __('Is_expire 0'), '1' => __('Is_expire 1')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getIsExpireTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_expire']) ? $data['is_expire'] : '');
        $list = $this->getIsExpireList();
        return isset($list[$value]) ? $list[$value] : '';
    }




}
